Page MenuHomePhabricator

Watchlist Expiry: Update Language of Feature [SMALL]
Closed, ResolvedPublic

Description

As a Watchlist Expiry user, I want the language to be updated, so that is clear, inviting, and translatable.

Background: The current implementation has slightly different language in the various pages/views for Watchlist Expiry. The purpose of this ticket is to standardize the language, so that it is clear and correct in relevant places.

Acceptance Criteria:

  • Change "Permanently" to "Permanent" in all drop-downs (i.e., watch via star, watch via edit)
  • Change "XX days left" and "Expires in X days" to "XX days left in your watchlist" for watchlist indicators (i.e., hover over star, hover over clock icon in watchlist, text in EditWatchlist)
  • Update the "Click..." sentence by the star to say "Click to remove it."
  • Keep current language in drop-downs for days left (i.e., "XX days left")

Event Timeline

ifried created this task.May 19 2020, 5:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2020, 5:28 PM
ifried updated the task description. (Show Details)May 21 2020, 4:32 PM
ifried updated the task description. (Show Details)
ifried renamed this task from Watchlist Expiry: Language updates [placeholder] to Watchlist Expiry: Update Language of Feature.May 21 2020, 4:45 PM
ifried updated the task description. (Show Details)May 21 2020, 5:25 PM
ARamirez_WMF renamed this task from Watchlist Expiry: Update Language of Feature to Watchlist Expiry: Update Language of Feature [SMALL}.May 21 2020, 5:26 PM
ARamirez_WMF renamed this task from Watchlist Expiry: Update Language of Feature [SMALL} to Watchlist Expiry: Update Language of Feature [SMALL].
ARamirez_WMF moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
MusikAnimal removed MusikAnimal as the assignee of this task.Jun 22 2020, 5:04 PM
MusikAnimal added a subscriber: MusikAnimal.
HMonroy claimed this task.Jul 9 2020, 10:41 PM
HMonroy moved this task from Ready to In Development on the Community-Tech (Kanban-2019-20-Q4) board.
Restricted Application edited projects, added Community-Tech; removed Community-Tech (Kanban-2020-21-Q1). · View Herald TranscriptJul 14 2020, 7:21 PM

Change 619169 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/core@master] Add full message names for some tooltip variants

https://gerrit.wikimedia.org/r/619169

Change 618834 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/core@master] Update language in watchlist expiry

https://gerrit.wikimedia.org/r/618834

Change 619169 merged by jenkins-bot:
[mediawiki/core@master] Add full message names for some tooltip variants

https://gerrit.wikimedia.org/r/619169

Change 618834 merged by jenkins-bot:
[mediawiki/core@master] Update language in watchlist expiry

https://gerrit.wikimedia.org/r/618834

Change 620969 had a related patch set uploaded (by MusikAnimal; owner: HMonroy):
[mediawiki/core@REL1_35] Update language in watchlist expiry

https://gerrit.wikimedia.org/r/620969

Change 620969 merged by jenkins-bot:
[mediawiki/core@REL1_35] Update language in watchlist expiry

https://gerrit.wikimedia.org/r/620969

dom_walden added a subscriber: dom_walden.
  • Change "Permanently" to "Permanent" in all drop-downs (i.e., watch via star, watch via edit)

Yep, and also action=watch.

  • Change "XX days left" and "Expires in X days" to "XX days left in your watchlist" for watchlist indicators (i.e., hover over star, hover over clock icon in watchlist, text in EditWatchlist)

Yep, and also x icon in Special:Watchlist.

  • Update the "Click..." sentence by the star to say "Click to remove it."

Yes, for temporarily watched pages. I am assuming this is the tooltip?

Not for permanent watched pages, where it still says "Remove this page from your watchlist".

  • Keep current language in drop-downs for days left (i.e., "XX days left")

Yep, apart from "A few hours left" implemented in T255632, of course.

This looks good to me. I have tested on testwiki, and I see the updated language in the dropdown (see screenshot example below), watchlist status indicators (see screenshot example below), and tooltips. I'm marking this as Done.


ifried closed this task as Resolved.Aug 21 2020, 6:30 PM